body{
    height: 100vh;
    width: 100wh;
    margin: 0;
    padding: 0;
    background: #1E1B13;
    background: linear-gradient(0deg,rgba(30, 27, 19, 1) 0%, rgba(20, 17, 12, 1) 100%);
    cursor: default;
}

#wrapper{
    width: 100%;
    padding-top: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-family: Courier, monospace;
}

.statConfigColumn{
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    width: 42%;
    height: 100%;
    border-radius: 10px;
    padding: 10px;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
}

.flawPointDisplay{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    width: 100%;
    height: 5%;
    border-radius: 10px;
    align-content: center;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-weight: bold;
    color: #d5a230;
    font-size: 18pt;
    user-select: none; 
}

.statDisplayRow{
    width: 100%;
    height: 8em;
    display: flex;
    flex-direction: row;
    margin-top: 10px;
    box-sizing: border-box;
    justify-content: flex-start;
    align-content: center;
    align-items: center;
}

.statLetterDisplay{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    text-align: center;
    width: 15%;
    height: 80%;
    box-sizing: border-box;
    font-size: 72pt;
    color: #d5a230;
    border-radius: 10px 0 0 10px;
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    user-select: none; 
}

.statModifyBox{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    display: flex;
    padding: 10px;
    width: 15%;
    height: 100%;
    border-radius: 10px;
    box-sizing: border-box;
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    user-select: none; 
}

.statModifyColumn{
    align-items: center;
    align-content: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    user-select: none; 
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow: 0 0 5px black, inset 0 0 20px rgba(0,0,0,.5);
    border-radius: 5px;
}

.buttonsDisplay{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 10px;
}

.statModifyButton{
    display: flex;
    margin-left: 10px;
    margin-right: 10px;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    width: 100%;
    box-sizing: border-box;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    border-radius: 5px;
    color: #d5a230;
    box-shadow: 2px 2px 10px black, inset 0 0 5px rgba(0,0,0,.5);
    font-weight: bold;
}

.statDisplayBox{
    width: 100%;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    align-content: center;
    text-align: center;
    border-radius: 10px;
    font-size: 48pt;
    color: white;
}

.statInfoDisplay{
    width: 70%;
    height: 80%;
    display: flex;
    flex-direction: column;
    padding-left: 10px;
    margin-left: 10px;
    color: white;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow: inset 0 0 20px rgba(0,0,0,.5);
    padding: 10px;
    border-radius: 10px;
}

.statNameDisplay{
    font-weight: bold;
    color: #d5a230;
    font-size: 14pt;
}

.characterInfoColumn{
    width: 25%;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 10px;
    font-size: 18pt;
    font-weight: bold;
    cursor: default;
    color: white;
}

#portraitSelect{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: calc(100% - 20px);
    box-sizing: border-box;
}

.portraitSelectButton{
    width: 50px;
    height: 100px;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    text-align: center;
    align-content: center;
    align-items: center;
    font-size: 36pt;
    font-weight: bold;
    color: #d5a230;
    user-select: none;
    cursor: pointer;
}

#characterPortraitDisplay{
    width: calc(80% - 20px);
    aspect-ratio: 3 / 4;
    margin: 10px;
    padding: 10px;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 10px rgba(0,0,0,.5);
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    text-align: center;
    align-content: center;
    box-sizing: border-box;
}

#characterPortrait{
    width: 100%;
    height: auto;
    display: flex;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    text-align: center;
    align-content: center;
    box-shadow: 0 0 10px black;
}

#characterCustomType{
    width: calc(100% - 20px);
    height: 100%;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow: inset 0 0 20px rgba(0,0,0,.5);
    margin-bottom: 10px;
    box-sizing: border-box;
    border-radius: 10px;
}

#characterNameDisplay{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);
    width: calc(100% - 20px);
    margin: 10px;
    border-radius: 10px;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
}

.textField{
    background: transparent;
    border: none;
    outline: none;
    padding: 0;
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    color: white;
    width: 100%;
    box-sizing: border-box;
    cursor: text;
    text-align: center;
    opacity: 100%;
}

#nameInput{
    font-weight: bold;
}

#descInput{
    overflow-x: hidden;
    overflow-y: hidden;
    resize: none;
    min-height: calc(4 * 1.5em); 
    max-height: calc(4 * 1.5em); 
    white-space: pre-wrap;
    word-break: break-word;
    overflow-wrap: break-word;
}

#characterDescriptionDisplay{
    display: flex;
    flex-direction: column;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    width: calc(100% - 20px);
    margin: 10px;
    border-radius: 10px;
    align-items: center;
    align-content: center;
    justify-content: flex-start;
    text-align: center;
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
    font-weight: 100;
    min-height: calc(5 * 1.5em);
    line-height: 1.5em;
}

#characterDescriptionDisplay::after{
    background-image: url("images/backgroundTexture.png");
}

#saveButton{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    width: calc(100% - 20px);
    margin: 10px;
    border-radius: 10px;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
    color: #d5a230;
    user-select: none; 
}

#loadButton{
    display: flex;
    flex-direction: row;
    width: calc(100% - 20px);
    margin: 10px;
    border-radius: 10px;
    align-items: center;
    align-content: center;
    justify-content: space-between;
    text-align: center;
    box-sizing: border-box;
    color: #d5a230;
    user-select: none; 
}

.loadFileButtons{
    display: flex;
    flex-direction: row;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    width: calc(50% - 5px);
    border-radius: 10px;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 10px;
    color: #d5a230;
    user-select: none; 
}

#loadLabel:hover, #loadSave:hover,#saveCharacterButton:hover{
    color: white;
    cursor: pointer;
}

.skillsDisplayColumn{
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 18pt;
    font-weight: bold;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 10px;
    cursor: default;
    color: white;
    box-sizing: border-box;
}

.skillDisplayRow{
    width: calc(100% - 40px);
    border-radius: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow:  0 0 5px black, inset 0 0 20px rgba(0,0,0,.5);
    justify-content: center;
    margin-left: 10px;
    margin-right: 10px;
    box-sizing: border-box;   
    margin: 10px;
    user-select: none; 
}

.skillDisplayText:hover{
    color: #d5a230;
    cursor: pointer;
}

.twoSkillDisplayRow{
    align-content: center;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: row;
    width: calc(100% - 20px);
    box-sizing: border-box;
    margin: 10px;
}

.skillDisplaySmall{
    width: calc(50% - 20px);
    border-radius: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    flex-direction: row;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow:  0 0 5px black, inset 0 0 20px rgba(0,0,0,.5);
    justify-content: center;
    margin-left: 10px;
    margin-right: 10px;
    box-sizing: border-box;
    user-select: none; 
}

#levelSelect{
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.levelSelectButton{
    display: flex;
    width: 10%;
    margin-left: 20px;
    margin-right: 20px;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-sizing: border-box;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    border-radius: 10px;
    color: #d5a230;
    box-shadow: 2px 2px 10px black, inset 0 0 5px rgba(0,0,0,.5);
    font-weight: bold;
    cursor: pointer;
}

.continueButton{
    width: calc(100% - 40px);
    height: 13%;
    border-radius: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    justify-content: center;
    align-items: center;
    color: #d5a230;
    margin-left: 10px;
    margin-right: 10px;
    box-sizing: border-box;   
    margin: 10px;
    user-select: none; 
    cursor: pointer;
    font-size: 30pt;
}

@media screen and (orientation: portrait){
    #wrapper{
        flex-direction: column;
        align-content: center;
        align-items: center;
    }
    
    .statConfigColumn, .characterInfoColumn, .skillsDisplayColumn{
        width: 90%;
        margin-bottom: 20px;
    }
}

/* The following is styling for the main page only */

.nobhedDisplayRow{
    display: flex;
    flex-direction: row;
    width: calc(100% - 40px);
    height: 8em;
    border-radius: 10px;
    padding: 10px;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow:  0 0 5px black, inset 0 0 20px rgba(0,0,0,.5);
    justify-content: space-between;
    align-items: center;
    margin-left: 10px;
    margin-right: 10px;
    box-sizing: border-box;   
    margin: 10px;
    user-select: none; 
}

.nobhedDisplayBox{
    display: flex;
    flex-direction: column;
    background: #534833;
    background: linear-gradient(rgba(83, 72, 51, 1) 0%, rgba(102, 85, 60, 1) 100%);
    box-shadow: 2px 2px 10px black, inset 0 0 20px rgba(0,0,0,.5);;
    padding-left: 10px;
    padding-right: 10px;
    margin: 0 5px 0 5px;
    height: 100%;
    width: 12%;
    font-size: 48pt;
    text-align: center;
    align-content: center;
    align-items: center;
    border-radius: 10px;
}

.nobhedLetterDisplay{
    color: #d5a230;
    width: 100%;
    height: 50%;
}

.nobhedValueDisplay{
    display: flex;
    background: #2D261B;
    background: linear-gradient(0deg,rgba(45, 38, 27, 1) 0%, rgba(63, 53, 36, 1) 100%);
    box-shadow: inset 0 0 20px rgba(0,0,0,.5);
    color: white;
    width: 100%;
    height: calc(50% - 20px);
    margin-bottom: 10px;
    margin-top: 10px;
    align-content: center;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    font-size: 32pt;
    font-weight: 100;
}

.nobhedValueDisplay:hover{
    color: #d5a230;
    cursor: pointer;
}

#portraitStats{
    display: flex;
    flex-direction: column;
    background-color: red;
}
